Bug 91617 - fdisk run on only md0, md1 and md5 instead of /dev/md{0,1,2,3,4,5,6,7,8,9,1{0,1,2,3,4,5}}
Summary: fdisk run on only md0, md1 and md5 instead of /dev/md{0,1,2,3,4,5,6,7,8,9,1{0...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysreport   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-26 03:23 UTC by Nick Urbanik
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-26 11:26:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:094 normal SHIPPED_LIVE Updated sysreport package includes bugfixes, enhancements 2004-04-21 04:00:00 UTC

Description Nick Urbanik 2003-05-26 03:23:38 UTC
Description of problem: fdisk run on only md0, md1 and md5 instead of
/dev/md{0,1,2,3,4,5,6,7,8,9,1{0,1,2,3,4,5}}


Version-Release number of selected component (if applicable): 1.3.1-2


How reproducible: Always


Steps to Reproduce:
1. Run sysreport on system with more raid systems than md0, md1 and md5
2. Examine output
3. Notice that fdisk is only run on md0, md1 and md5, not on the others
    
Actual results: output includes only fdisk results for md0, md1 and md5


Expected results: output for all md devices


Additional info: It's a minor shell scripting slip in
/usr/share/sysreport/sysreport-fdisk, where the line
/sbin/fdisk -l /dev/md[0-15]
does not expand to /dev/md{0,1,2,3,4,5,6,7,8,9,1{0,1,2,3,4,5}} as one might expect.

Comment 1 Ngo Than 2003-05-26 11:26:30 UTC
there is a patter matching problem. It's now fixed in 1.3.3, which will be
available in rawhide soon. Thanks your report.

Comment 2 Mike Gahagan 2003-07-17 22:31:45 UTC
FYI:

sysreport-fdisk isn't really used anymore and could probably go away. We now use
getpartinfo() in functions.



Comment 3 John Flanagan 2004-04-22 01:09:11 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-094.html



Note You need to log in before you can comment on or make changes to this bug.